<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");
if(isset($_REQUEST["barcode"])) {
	$barcode=$_REQUEST["barcode"]; 
	if($barcode==""){
		echo json_encode(["result"=>-1 , "text"=>"Debe proporcionar un codigo de barras para borrar"]);
		die;
	}
	if(strlen($barcode)<1){
		echo json_encode(["result"=>-2 , "text"=>"Longitud de codigo de barras incorrecta"]);
		die;
	}	
	
}else{
	echo json_encode(["result"=>-1 , "text"=>"Debe proporcionar un codigo de barras para borrar"]);
	 die;
}

function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}
if(!$connNavision ){
	 echo json_encode(["result"=>-11 , "text"=>"No se pudo conectar con Navision"]);
	 die;
}

$sql = "DELETE FROM dbo.[Item Cross Reference] WHERE [Cross-Reference No.]='".$barcode."'";
$stmt = sqlsrv_query( $connNavision, $sql );
	if(sqlsrv_errors(SQLSRV_ERR_ERRORS)===NULL) echo json_encode(["result"=>1]); else echo json_encode(["result"=>-12, "text"=>"Ocurrio un error en la consulta SQL de Navision"]);

?>
